Subject: RE: [Mip6] I-D ACTION:draft-ietf-mip6-bootstrapping-split-05.txt

From: "Vijay Devarapalli" <[email-masked]>
Date: Thu, 7 Jun 2007 16:30:22 -0700

Hello Kilian,

I am cc'ing the MIP6 mailing list. 

> -----Original Message-----
> From: Kilian Weniger [mailto:[email-masked]] 
> Sent: Wednesday, May 30, 2007 12:24 AM
> To: Giaretta, Gerardo; Vijay Devarapalli
> Cc: Jari Arkko; James Kempf
> Subject: (offlist) [Mip6] I-D 
> ACTION:draft-ietf-mip6-bootstrapping-split-05.txt 
> 
> Hi,
> 
> as discussed with Jari, the text about location privacy in section 9.1
> of bootstrapping-split needs some slight modifications. The reason is
> that it references bootstrapping-integrated-dhc for more details, but
> the related text with details has recently been removed from
> bootstrapping-integrated-dhc. 

I missed this discussion. Why was it removed from the
bootstrapping-integrated-dhc draft?

> I just noticed that these modifications were not made in the new version
> draft-ietf-mip6-bootstrapping-split-05.txt. For the suggested text,
> please see below.
> 
> The current text in draft-ietf-mip6-bootstrapping-split-05.txt only says
> that using a local HA may set up the potential to compromise MN's
> location privacy. It doesn't say why (because local HoA contains
> location information) and how (if that HoA is disclosed to untrusted
> nodes, e.g., by updating DNS) and what the MN can do against this (don't
> reveal local HoA, e.g., don't do DNS update). This was all explained in
> the related (now removed) text in the security considerations section of
> bootstrapping-integrated-dhc. This must be explained, IMO. One more
> sentence in section 9.1 of bootstrapping-split (instered after first
> sentence of second last paragraph) may already be enough, e.g., 
> 
> "A home address anchored at such home agent contains some information
> about the topological location of the mobile node. Consequently, a
> mobile node requiring location privacy should not disclose this home
> address to nodes that are not authorized to learn the mobile node's
> location, e.g., by updating DNS with the new home address." 
> 
> Furthermore, the text refers to bootstrapping-integrated-dhc for
> details. This reference has to be removed.
> 
> With these changes, the second last paragraph text in section 9.1 in
> bootstrapping-split would then be as follows:
> 
>   "Finally notice that assignment of an home agent from the serving 
>    network access provider's (local home agent) or a home agent from 
>    a nearby network (nearby home agent) may set up the potential to 
>    compromise a mobile node's location privacy. A home address 
>    anchored at such home agent contains some information about the 
>    topological location of the mobile node. Consequently, a mobile 
>    node requiring location privacy should not disclose this home 
>    address to nodes that are not authorized to learn the mobile 
>    node's location, e.g., by updating DNS with the new home address."

This sounds good to me. Modified the text. I will submit revision 
6 if there are no other comments on this text.

Vijay

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6